<div *ngIf="bureau">
  <h1>Réserver le bureau {{ bureau.code }}</h1>
  <h3 class="text-muted">{{ date }}</h3>
  <div class="row">
    <div class="col col-lg-6 offset-lg-3">
      <form [formGroup]="formulaire" (ngSubmit)="soumettre()" #form='ngForm'>
        <div class="row">
          <div class="col">
            <div class="form-floating mb-3">
              <input id="prenom" name="prenom" formControlName="prenom" placeholder="prenom"
                     type="text"
                     class="form-control"
                     [class.is-invalid]="prenom?.invalid && form.submitted"/>
              <label class="form-label" for="prenom">Prenom</label>
              <div class="invalid-feedback">
                <div *ngIf="prenom?.errors?.['required']">
                  Veuillez entrer votre prénom
                </div>
              </div>
            </div>
          </div>
          <div class="col">
            <div class="form-floating mb-3">
              <input id="nom" name="nom" formControlName="nom" placeholder="nom"
                     type="text"
                     class="form-control"
                     [class.is-invalid]="nom?.invalid && form.submitted"/>
              <label class="form-label" for="nom">Nom</label>
              <div class="invalid-feedback">
                <div *ngIf="nom?.errors?.['required']">
                  Veuillez entrer votre nom
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-floating mb-3">
          <input id="courriel" name="courriel" formControlName="courriel" placeholder="courriel"
                 type="text"
                 class="form-control"
                 [class.is-invalid]="courriel?.invalid && form.submitted"/>
          <label class="form-label" for="courriel">Courriel</label>
          <div class="invalid-feedback">
            <div *ngIf="courriel?.errors?.['required']">
              Veuillez entrer votre courriel
            </div>
            <div *ngIf="courriel?.errors?.['email']">
              Veuillez entrer une adresse courriel valide
            </div>
          </div>
        </div>

        <div class="form-floating mb-3">
          <input id="adresse" name="adresse" formControlName="adresse" placeholder="adresse"
                 type="text"
                 class="form-control"
                 [class.is-invalid]="adresse?.invalid && form.submitted"/>
          <label class="form-label" for="adresse">Adresse</label>
          <div class="invalid-feedback">
            <div *ngIf="adresse?.errors?.['required']">
              Veuillez entrer votre adresse
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-8">
            <div class="form-floating mb-3">
              <input id="ville" name="ville" formControlName="ville" placeholder="ville"
                     type="text" class="form-control"
                     [class.is-invalid]="ville?.invalid && form.submitted"/>
              <label class="form-label" for="ville">Ville</label>
              <div class="invalid-feedback">
                <div *ngIf="ville?.errors?.['required']">
                  Veuillez entrer votre ville
                </div>
              </div>
            </div>
          </div>
          <div class="col-4">
            <div class="form-floating mb-3">
              <input id="codePostal" name="codePostal" formControlName="codePostal"
                     placeholder="codePostal"
                     type="text"
                     class="form-control"
                     [class.is-invalid]="codePostal?.invalid && form.submitted"/>
              <label class="form-label" for="codePostal">Code Postal</label>
              <div class="invalid-feedback">
                <div *ngIf="codePostal?.errors?.['required']">
                  Veuillez entrer votre code postal
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-floating mb-3">
          <textarea id="commentaire" name="commentaire" formControlName="commentaire"
                    placeholder="commentaire"
                    class="form-control"></textarea>
          <label class="form-label" for="commentaire">Commentaire</label>
        </div>

        <button type="submit" class="btn btn-primary">Réserver</button>
      </form>
    </div>
  </div>
</div>
